Package com.io7m.jregions.core.unparameterized.sizes

# Class VolumeSizeF.Builder

java.lang.Object
com.io7m.jregions.core.unparameterized.sizes.VolumeSizeF.Builder

Enclosing class:
  VolumeSizeF

public static final class VolumeSizeF.Builder extends Object
Builds instances of type `VolumeSizeF`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VolumeSizeF`
  `build()`
  Builds a new `VolumeSizeF`.
  `final VolumeSizeF.Builder`
  `from(VolumeSizeFType instance)`
  Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeFType` instance.
  `final VolumeSizeF.Builder`
  `from(VolumeSizeValuesFType instance)`
  Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeValuesFType` instance.
  `final VolumeSizeF.Builder`
  `setSizeX(float sizeX)`
  Initializes the value for the `sizeX` attribute.
  `final VolumeSizeF.Builder`
  `setSizeY(float sizeY)`
  Initializes the value for the `sizeY` attribute.
  `final VolumeSizeF.Builder`
  `setSizeZ(float sizeZ)`
  Initializes the value for the `sizeZ` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VolumeSizeF.Builder from(VolumeSizeValuesFType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeValuesFType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final VolumeSizeF.Builder from(VolumeSizeFType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeFType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeX

    public final VolumeSizeF.Builder setSizeX(float sizeX)
    Initializes the value for the `sizeX` attribute.
    Parameters:
      `sizeX` - The value for sizeX
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeY

    public final VolumeSizeF.Builder setSizeY(float sizeY)
    Initializes the value for the `sizeY` attribute.
    Parameters:
      `sizeY` - The value for sizeY
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeZ

    public final VolumeSizeF.Builder setSizeZ(float sizeZ)
    Initializes the value for the `sizeZ` attribute.
    Parameters:
      `sizeZ` - The value for sizeZ
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VolumeSizeF build()
    Builds a new `VolumeSizeF`.
    Returns:
      An immutable instance of VolumeSizeF
    Throws:
      `IllegalStateException` - if any required attributes are missing